/* Gold-X-bull Stylesheet Version 1.3 */
:root {
    --light-gray: #fafafa;
    /* --bs-primary: #b76f07;
    --bs-primary-light: #b97b22; */
    --bs-primary: #b77005;
    --bs-primary-light: #d1902e;
    --border-color: #dce2e4;
    --light-gray-2: rgb(227, 232, 236);
}

/* COLOR */
.cart__header__title .bubble,
.bg-primary { background-color: var(--bs-primary) !important; }
.bg-gray-light { background-color: var(--light-gray) !important; }

/* TEXT */
a,
.contacts__info__list h3,
.heading-block-label { color: var(--bs-primary); }

.text-primary { color: var(--bs-primary) !important; }

.list-menu a:hover,
.text-primary-light { color: var(--bs-primary-light) !important; }
.text-balance { text-wrap: balance; }

.bg-dark.text-primary, .bg-dark .text-primary,
.bg-extra-dark .text-primary, .bg-extra-dark.text-primary,
.bg-dark.heading-block-label, .bg-extra-dark.heading-block-label,
.bg-dark a, .bg-dark .heading-block-label,
.bg-extra-dark a, .bg-extra-dark .heading-block-label { color: var(--bs-primary-light) !important; }

.bg-dark.btn.-style-primary,
.bg-dark .btn.-style-primary { color: white !important; }

/* LAYOUT */
.w-100 { width: 100% !important; }
.h-100 { height: 100% !important; }

@media (width >= 768px) {
    .w-md-100 { width: 100% !important; }
    .h-md-100 { height: 100% !important; }

    .align-items-md-center { align-items: center; }
    .justify-content-md-center { justify-content: center; }
}
@media (width >= 992px) {
    .w-lg-100 { width: 100% !important; }
    .h-lg-100 { height: 100% !important; }

    .align-items-lg-center { align-items: center; }
    .justify-content-lg-center { justify-content: center; }
}

@media (min-width: 400px) {
    .d-xs-block { display: block !important; }
    .d-xs-none { display: none !important; }
    .d-xs-flex { display: flex !important; }
    .d-xs-grid { display: grid !important; }
}

.d-grid { grid-template-columns: 1fr; }
.grid-2 { grid-template-columns: 1fr 1fr; }
.grid-3 { grid-template-columns: 1fr 1fr 1fr; }
.grid-4 { grid-template-columns: repeat(4, 1fr); }
.grid-2-1 { grid-template-columns: 2fr 1fr; }
.grid-1-2 { grid-template-columns: 1fr 2fr; }

@media (min-width: 576px) {
    .grid-sm-2 { grid-template-columns: 1fr 1fr; }
    .grid-sm-3 { grid-template-columns: 1fr 1fr 1fr; }
    .grid-sm-4 { grid-template-columns: repeat(4, 1fr); }
    .grid-sm-2-1 { grid-template-columns: 2fr 1fr; }
    .grid-sm-1-2 { grid-template-columns: 1fr 2fr; }
}
@media (min-width: 768px) {
    .grid-md-2 { grid-template-columns: 1fr 1fr; }
    .grid-md-3 { grid-template-columns: 1fr 1fr 1fr; }
    .grid-md-4 { grid-template-columns: repeat(4, 1fr); }
    .grid-md-2-1 { grid-template-columns: 2fr 1fr; }
    .grid-md-1-2 { grid-template-columns: 1fr 2fr; }
}
@media (min-width: 992px) {
    .grid-lg-2 { grid-template-columns: 1fr 1fr; }
    .grid-lg-3 { grid-template-columns: 1fr 1fr 1fr; }
    .grid-lg-4 { grid-template-columns: repeat(4, 1fr); }
    .grid-lg-2-1 { grid-template-columns: 2fr 1fr; }
    .grid-lg-1-2 { grid-template-columns: 1fr 2fr; }
}
@media (min-width: 1200px) {
    .grid-xl-2 { grid-template-columns: 1fr 1fr; }
    .grid-xl-3 { grid-template-columns: 1fr 1fr 1fr; }
    .grid-xl-4 { grid-template-columns: repeat(4, 1fr); }
    .grid-xl-2-1 { grid-template-columns: 2fr 1fr; }
    .grid-xl-1-2 { grid-template-columns: 1fr 2fr; }
}

/* SHADOWS */
.shadow-xs { box-shadow: 0px 1px 4px #00000015; }
.shadow-sm { box-shadow: 0px 2px 5px #00000025; }
.shadow-md { box-shadow: 0px 4px 8px #00000025; }
.shadow-lg { box-shadow: 0px 4px 14px #00000035; }

/* BORDERS */
.text-formatted a,
.primary-menu > .menu-item > a:after { border-color: var(--bs-primary); }

.rounded-xs { border-radius: 4px; }
.rounded-sm { border-radius: 8px; }
.rounded-md { border-radius: 1rem; }
.rounded-lg { border-radius: 2rem; }
.rounded-full { border-radius: 100rem; }

.border {
    border: 1px solid var(--border-color);
}

/* BUTTONS */
.btn {
    padding: .6rem 1.875rem;
    border-radius: 100rem;
}
.bubble.-primary {
    background-color: var(--bs-primary);
}
.btn.-style-primary {
    --button-background: var(--bs-primary);
    --button-hover-background: var(--bs-primary-light);
}
.card-promotion__link .icon,
.card-service__title .icon {
    color: var(--bs-primary);
}

/* IMAGES */
.img-contain { object-fit: contain; }
.img-cover { object-fit: cover; }


/* EFFECTS */
.bg-blur-25 { backdrop-filter: blur(5px); }
.bg-blur-50 { backdrop-filter: blur(10px); }
.bg-blur-75 { backdrop-filter: blur(20px); }

/* SPECIALS */
.dots-graph {
    --dot-size: 3rem;
    background-image: radial-gradient(circle at center, #000 7%, transparent 8%);
    background-repeat: round;
    background-size: var(--dot-size) var(--dot-size);
}
.dots-graph.-style-light {
    background-image: radial-gradient(circle at center, #fff 7%, transparent 8%);
}

/* HEADER */
.site-header {
    background: #fff;
    color: black;
}
.site-header > .container:first-child {
    background-color: var(--light-gray);
    max-width: unset;
    padding: 0 2rem;
}
.site-header__secondary {
    position: relative;
}
.site-header__divider,
.site-header .site-header__main__actions::before {
    display: none;
}
.site-header__secondary__info {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* SPOT PRICES */
.site-header__secondary__prices {
    margin: unset;
    width: 100%;
}
.site-header__secondary__prices .spot-prices {
    justify-content: center;
    width: 100%;
}
.spot-prices .price-item {
    justify-content: center;
}
@media (width >= 1440px) {
    .site-header__secondary {
        height: 4rem;
    }
    .site-header__secondary__info {
        width: 760px;
        display: grid;
        grid-template-columns: 1fr 2.2fr;
    }
    .site-header__secondary__prices {
        width: 100%;
    }
}
@media (1200px <= width < 1440px) {
    .site-header__secondary__info {
        display: flex;
    }
}
@media (width >= 1200px) {
    .site-header__secondary__prices {
        margin: unset;
        width: 100%;
    }
}
@media (width >= 992px) {
    .site-header__secondary__prices .spot-prices {
        gap: 2rem;
        font-size: 1rem;
    }
}
@media (width < 576px) {
    .site-header__secondary {
        height: auto;
    }
}
/* MAIN HEADER */
.site-header .site-header__main {
    height: 4rem;
}

.site-header__main__logo { grid-area: logo; }
.site-header__main__menu { grid-area: menu; }
.site-header__main__actions { grid-area: actions; }

@media (width < 992px) {
    .site-header__main__logo .link-logo {
        max-width: 180px;
    }
}

@media (width >= 768px) {
    .site-header__main__logo {
        display: flex;
        justify-content: center;
        width: 100%;
    }
}
@media (768px <= width < 1200px) {
    .site-header .site-header__main {
        display: grid;
        grid-template-areas: "x logo actions";
        grid-template-columns: 30% 1fr 30%;
        align-items: center;
    }
}
@media (width >= 1200px) {
    .site-header .site-header__main {
        grid-template-areas:
            "x logo y"
            "x menu actions";
        display: grid;
        grid-template-columns: 20% 1fr 20%;
        grid-template-rows: 1.5fr 1fr;
        align-items: center;
        height: 8rem;
    }
    .site-header__main__logo .link-logo {
        max-width: 240px;
    }
    .primary-menu > .menu-item > a {
        padding: .5rem 0;
        font-size: .9rem;
    }
}
.site-header__main__actions {
    width: auto;
}
.site-header__main__actions .action:not(:first-child),
.site-header__main__actions .dropdown:not(:first-child) {
    margin-left: 0.5em;
}
.site-header .site-header__main__actions .-search,
.site-header .site-header__main__actions .-dropdown,
.site-header .site-header__main__actions .-cart {
    width: var(--bubble-size, 2rem);
    height: var(--bubble-size, 2rem);
    border: 1px solid var(--bs-gray-300);
    border-radius: 10rem;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.4rem;
    .action__icon {
        width: 80%
    }
    .icon {
        width: 12px;
        height: unset;
    }
}
.site-header .site-header__main__actions .-cart .action__icon {
    position: absolute;
    bottom: 65%;
    left: 65%;
    width: 18px;
    margin: 0;
    .bubble,
    .action__icon {
        width: 20px;
        height: 21px;
        font-size: 0.8em;
    }
}
.site-header .site-header__main__actions .-dropdown .action__label span:last-child,
.site-header .site-header__main__actions .-cart .action__label span:last-child {
    display: block !important;
}
.site-header .site-header__main__actions .-search .action__label,
.site-header .site-header__main__actions .-dropdown .action__icon,
.site-header .site-header__main__actions .-dropdown .action__label span:first-child,
.site-header .site-header__main__actions .-cart .action__label span:first-child,
.site-header .site-header__main__actions .-menu .action__label,
.mega-menu__column__action {
    display: none !important;
}
.mega-menu__column__title {
    pointer-events: none;
}
@media (width >= 576px) {
    .site-header__main__actions {
        padding: .4rem 0;
    }
    .site-header .site-header__main__actions .action {
        width: 3rem;
        height: 3rem;

        .icon {
            width: 14px;
            font-size: 1.6em;
        }
    }
}
.hamburger-inner,
.hamburger-inner:after,
.hamburger-inner:before {
    background-color: var(--bs-primary);
}
.primary-menu > .menu-item > a {
    --header-main-height: 4.05rem;
}
@media (width < 1580px) {
    .primary-menu > .menu-item > a {
        --header-main-height: 4rem;
    }
}
@media (width < 768px) {
    .site-header > .container:first-child {
        padding: .5rem;
    }
    .site-header__secondary__prices .spot-prices {
        grid-gap: .1rem;
    }
    .site-header__secondary__info {
        margin-top: .5rem;
    }
}

/* ALL PAGES */
.section-breadcrumbs .section-breadcrumbs__layout__support {
    .v-card {
        grid-template-columns: 1fr;
    }
    .v-card__avatar {
        display: none;
    }
}
@media (width < 578px) {
    .section-breadcrumbs {
        .section-breadcrumbs__layout {
            gap: 1rem;
        }
        .section-breadcrumbs__layout__support .v-card__content {
            text-align: center;
            background-color: var(--bs-light);
            padding: 1rem;
        }
    }
}
.card-product .card-product__actions .btn,
.product__gallery .gallery .swiper-slide .zoom,
.product .product__summary__actions .btn {
    background-color: var(--bs-primary) !important;
    &:hover {
        background-color: var(--bs-primary-light) !important;
    }
}

/* FOOTER */
.site-footer {
    background: linear-gradient(to bottom, var(--light-gray), var(--light-gray-2));
    color: black;
    .list-menu a {
        color: black;
    }
}